# Schema changes

The `elementary.schema_change` test monitors schema changes within your database, providing alerts for critical modifications such as:

* Deleted tables
* Columns being deleted or added
* Changes in a column's data type

### Configuration

{% tabs %}
{% tab title="Models" %}

```yaml
version: 2

models:
  - name: < model name >
    tests:
      - elementary.schema_changes
```

{% endtab %}

{% tab title="Models example" %}

```yaml
version: 2

models:
  - name: login_events
    tests:
      - elementary.schema_changes:
          tags: ["elementary"]
          config:
            severity: warn
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paradime.io/app-help/documentation/integrations/observability/elementary-data/schema-tests/schema-changes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
